Subject: bug#28644: closed (Re: Pulseview with modular qt)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 22 Feb 2025 12:51:02 +0000

Your bug report

#28644: Pulseview with modular qt

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28644: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=28644
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Pulseview with modular qt
From: Nicolas Goaziou <[email-masked]>
To: [email-masked]
Date: Sat, 22 Feb 2025 13:49:35 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

> phodina <[email-masked]> writes:
> 
> > Hi,
> >
> > recently I used Pulseview to debug eMMC issues.
> >
> > I was also surprised why they are some icons and others are missing.
> >
> > Based on the code some are implemented as png and some as svg.
> >
> > I tried to add the qtsvg-5 but it did not work and made the resulting derivation larger.
> >
> > Therefore there are 2 possibilites:
> >
> > - Add support for SVG by adding qtsvg-5 and any additional packages [1]
> > This would be preferable as the images are displayed in the time series and the bitmaps will look ugly.
> >
> > 2. Convert all into pngs
> > This will save size but will require a big patch (which will be mostly binary)
> > What do you think?
> 
> Option 1 (simply adding qtsvg-5) sounds more reasonable to me.

Pulseview has been using QtSVG for more than 6 years now. Closing.

Regards,
-- 
Nicolas Goaziou

Subject: Pulseview with modular qt
From: Theodoros Foradis <[email-masked]>
To: [email-masked]
Cc: Marius Bakke <[email-masked]>
Date: Fri, 29 Sep 2017 14:27:08 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

commit b1e4c0fa514d94df9735685a037693e5c6efa5b2 changed the pulseview
package to build with modular qt.

Now, some icons do not appear at all in the gui. I had tried building
with modular qt before submitting the qt package, and this is why I
opted for "qt" as an input.

The two inputs from modular qt, namely qtbase and qtsvg, seem to be the
correct ones, seeing that other distibutions (e.g. Parabola/Arch) use
the same dependencies.

My guess (not being familiar with qt), is that somehow, having the two
inputs in different prefixes, causes the problem with the package's
build system. I gave a look at the cmake files, but couldn't locate the
issue/fix.

Any ideas?
-- 
Theodoros Foradis